FreeBSD Bugzilla – Attachment 110058 Details for
Bug 151164
Update port: archivers/rvm version bump
Home
|
New
|
Browse
|
Search
|
[?]
|
Reports
|
Help
|
New Account
|
Log In
Remember
[x]
|
Forgot Password
Login:
[x]
[patch]
file.diff
file.diff (text/plain), 4.89 KB, created by
Davide ITaliano
on 2010-10-03 00:00:05 UTC
(
hide
)
Description:
file.diff
Filename:
MIME Type:
Creator:
Davide ITaliano
Created:
2010-10-03 00:00:05 UTC
Size:
4.89 KB
patch
obsolete
>diff -urN rvm-old/Makefile rvm/Makefile >--- rvm-old/Makefile 2010-10-02 21:47:26.000000000 +0200 >+++ rvm/Makefile 2010-10-02 21:48:01.000000000 +0200 >@@ -7,12 +7,12 @@ > # > > PORTNAME= rvm >-PORTVERSION= 1.05 >+PORTVERSION= 1.07 > CATEGORIES= archivers > MASTER_SITES= SF > DISTNAME= ${PORTNAME}_${PORTVERSION} > >-MAINTAINER= ports@FreeBSD.org >+MAINTAINER= davide.italiano@gmail.com > COMMENT= An archive manager that uses rsync to manage backups > > BUILD_DEPENDS= rsync:${PORTSDIR}/net/rsync >diff -urN rvm-old/distinfo rvm/distinfo >--- rvm-old/distinfo 2010-10-02 21:47:26.000000000 +0200 >+++ rvm/distinfo 2010-10-02 21:48:09.000000000 +0200 >@@ -1,3 +1,3 @@ >-MD5 (rvm_1.05.tar.gz) = 936ab43f12b5bc54575f55e60c03034d >-SHA256 (rvm_1.05.tar.gz) = afb5c155db469d6e0e455bb183c4919f18019df18e5889e3bfdc451ecfe5e0db >-SIZE (rvm_1.05.tar.gz) = 287628 >+MD5 (rvm_1.07.tar.gz) = 9a6f0d7a0ed6490e70fd38720423ad9d >+SHA256 (rvm_1.07.tar.gz) = 76700d1881a372fbf898f88ad3d2b66894e72c75802aa895ea08ee58c74dc55c >+SIZE (rvm_1.07.tar.gz) = 294761 >diff -urN rvm-old/files/patch-configure rvm/files/patch-configure >--- rvm-old/files/patch-configure 2010-10-02 21:47:26.000000000 +0200 >+++ rvm/files/patch-configure 1970-01-01 01:00:00.000000000 +0100 >@@ -1,119 +0,0 @@ >---- configure.orig 2008-02-15 22:53:06.000000000 +0900 >-+++ configure 2008-06-10 21:44:37.000000000 +0900 >-@@ -9502,116 +9502,6 @@ >- >- fi >- >-- >-- >--{ echo "$as_me:$LINENO: checking if the stl throws an exception at memory allocation failure" >&5 >--echo $ECHO_N "checking if the stl throws an exception at memory allocation failure... $ECHO_C" >&6; } >--if test "${ac_cv_cxx_exception_on_failed_alloc+set}" = set; then >-- { echo "$as_me:$LINENO: result: (cached) $ac_cv_cxx_exception_on_failed_alloc" >&5 >--echo "${ECHO_T}(cached) $ac_cv_cxx_exception_on_failed_alloc" >&6; } >--else >-- if test "$cross_compiling" = yes; then >-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling >--See \`config.log' for more details." >&5 >--echo "$as_me: error: cannot run test program while cross compiling >--See \`config.log' for more details." >&2;} >-- { (exit 1); exit 1; }; } >--else >-- cat >conftest.$ac_ext <<_ACEOF >--/* confdefs.h. */ >--_ACEOF >--cat confdefs.h >>conftest.$ac_ext >--cat >>conftest.$ac_ext <<_ACEOF >--/* end confdefs.h. */ >--#include <string> >--#include <exception> >-- >--int main(int argc, char **argv) >--{ >-- std::string str; >-- >-- str = "a"; >-- while (true) { >-- try { >-- str += str; >-- } >-- catch(...) { >-- return(0); >-- } >-- } >-- return(0); >--} >-- >--_ACEOF >--rm -f conftest$ac_exeext >--if { (ac_try="$ac_link" >--case "(($ac_try" in >-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; >-- *) ac_try_echo=$ac_try;; >--esac >--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 >-- (eval "$ac_link") 2>&5 >-- ac_status=$? >-- echo "$as_me:$LINENO: \$? = $ac_status" >&5 >-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext' >-- { (case "(($ac_try" in >-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; >-- *) ac_try_echo=$ac_try;; >--esac >--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 >-- (eval "$ac_try") 2>&5 >-- ac_status=$? >-- echo "$as_me:$LINENO: \$? = $ac_status" >&5 >-- (exit $ac_status); }; }; then >-- { echo "$as_me:$LINENO: result: yes" >&5 >--echo "${ECHO_T}yes" >&6; } >-- ac_cv_cxx_exception_on_failed_alloc=yes >-- >--else >-- echo "$as_me: program exited with status $ac_status" >&5 >--echo "$as_me: failed program was:" >&5 >--sed 's/^/| /' conftest.$ac_ext >&5 >-- >--( exit $ac_status ) >--{ echo "$as_me:$LINENO: result: no" >&5 >--echo "${ECHO_T}no" >&6; } >-- ac_cv_cxx_exception_on_failed_alloc=no >-- >--fi >--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext >--fi >-- >-- >--fi >--if test $ac_cv_cxx_exception_on_failed_alloc = yes; then >-- >--cat >>confdefs.h <<\_ACEOF >--#define HAVE_EXCEPTION_ON_ALLOC_FAILURE 1 >--_ACEOF >-- >--else >-- { echo "$as_me:$LINENO: WARNING: >-- >--*** NOTICE: This implementation of the STL does not throw an exception for >--memory allocation failure. (This feature is known to be lacking in at least >--some pre 3.x versions of the gcc compiler suite.) Memory allocation failure >--should not mean program termination, but without this feature in the STL, the >--author of this software package cannot guarentee the ability to handle memory >--allocation failure gracefully. >-- >-- " >&5 >--echo "$as_me: WARNING: >-- >--*** NOTICE: This implementation of the STL does not throw an exception for >--memory allocation failure. (This feature is known to be lacking in at least >--some pre 3.x versions of the gcc compiler suite.) Memory allocation failure >--should not mean program termination, but without this feature in the STL, the >--author of this software package cannot guarentee the ability to handle memory >--allocation failure gracefully. >-- >-- " >&2;} >--fi >-- >- # Extract the first word of "rsync", so it can be a program name with args. >- set dummy rsync; ac_word=$2 >- { echo "$as_me:$LINENO: checking for $ac_word" >&5
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 151164
: 110058